
include_directories(.)


# Define a shared library
add_library(ctrl_algo SHARED
    Controller.cpp
    Controller.h
)

# Propagate include paths to projects linking against this library
target_include_directories(ctrl_algo PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
)

# Link an executable to the library
# add_executable(app src/main.cpp)
# target_link_libraries(app PRIVATE math_utils)
